Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-14520

LDAP Plugin should support StartTLS extension

    Details

    • Type: Improvement
    • Status: In Progress (View Workflow)
    • Priority: Major
    • Resolution: Unresolved
    • Component/s: ldap-plugin
    • Labels:
      None
    • Similar Issues:

      Description

      The Jenkins LDAP-Plugin doesn't support the LDAP StartTLS extension that we would need to access our LDAP server. See also this discussion on the mailing list: http://jenkins.361315.n4.nabble.com/StartTLS-td372639.html

      I have investigated a bit to check what would be needed to support that feature, and it seems that the version of acegi-security that Jenkins uses is too old. Spring-ldap supports StartTls since version 1.3.0 (which is part of Spring 3.0).

      I have also voted for JENKINS-5303 to upgrade acegi-security.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                jmairboeck Joachim Mairböck
              • Votes:
                17 Vote for this issue
                Watchers:
                20 Start watching this issue

                Dates

                • Created:
                  Updated: